From 3a34ab07a66da18cbe11321d451be701d814a167 Mon Sep 17 00:00:00 2001
From: Rolf Eike Beer <eb@emlix.com>
Date: Wed, 16 Nov 2022 15:22:00 +0100
Subject: [PATCH] libowfat: fix header dependencies

---
 GNUmakefile | 44 +++++++++++++++-------------
 1 file changed, 23 insertions(+), 21 deletions(-)

diff --git a/GNUmakefile b/GNUmakefile
index 67f8373..63f105b 100644
--- a/GNUmakefile
+++ b/GNUmakefile
@@ -46,7 +46,7 @@ CFLAGS_OPT=-pipe $(WARN) $(DEFINE) $(OPT_PLUS)
 
 #CFLAGS=-pipe -Os -march=pentiumpro -mcpu=pentiumpro -fomit-frame-pointer -fschedule-insns2 -Wall
 
-ent: ent.c haveuint128.h
+ent: ent.c haveuint128.h headers
 	$(CC) -g -o ent ent.c -I.
 
 # CFLAGS += -fstrict-aliasing -Wstrict-aliasing=2
@@ -110,34 +110,36 @@ IO_OBJS=$(patsubst io/%.c,%.o,$(wildcard io/*.c))
 CDB_OBJS=$(patsubst cdb/%.c,%.o,$(wildcard cdb/*.c))
 CRITBIT_OBJS=$(patsubst critbit/%.c,%.o,$(wildcard critbit/*.c))
 
-$(BYTE_OBJS): byte.h
-$(FMT_OBJS): fmt.h
-$(SCAN_OBJS): scan.h haveuint128.h
-$(STR_OBJS): str.h
+$(BYTE_OBJS): byte.h headers
+$(FMT_OBJS): fmt.h headers
+$(SCAN_OBJS): scan.h haveuint128.h headers
+$(STR_OBJS): str.h headers
 $(UINT_OBJS): uint16.h uint32.h
-$(STRALLOC_OBJS): stralloc.h
-$(SOCKET_OBJS): socket.h
-$(BUFFER_OBJS): buffer.h
-$(MMAP_OBJS): mmap.h open.h
-$(TEXTCODE_OBJS): textcode.h
-$(TAI_OBJS): tai.h uint64.h
-$(TAIA_OBJS): taia.h tai.h uint64.h
-$(DNS_OBJS): dns.h stralloc.h taia.h tai.h uint64.h iopause.h
-$(CASE_OBJS): case.h
-$(ARRAY_OBJS): uint64.h array.h
-$(MULT_OBJS): uint64.h uint32.h uint16.h safemult.h
-$(IO_OBJS): uint64.h array.h io.h io_internal.h taia.h tai.h haveepoll.h havekqueue.h havesigio.h havebsdsf.h havedevpoll.h havesendfile.h
-$(CDB_OBJS): cdb.h uint32.h
-$(CRITBIT_OBJS): critbit.h
+$(OPEN_OBJS): open.h headers
+$(STRALLOC_OBJS): stralloc.h headers
+$(UNIX_OBJS): headers
+$(SOCKET_OBJS): socket.h headers
+$(BUFFER_OBJS): buffer.h headers
+$(MMAP_OBJS): mmap.h open.h headers
+$(TEXTCODE_OBJS): textcode.h headers
+$(TAI_OBJS): tai.h uint64.h headers
+$(TAIA_OBJS): taia.h tai.h uint64.h headers
+$(DNS_OBJS): dns.h stralloc.h taia.h tai.h uint64.h iopause.h headers
+$(CASE_OBJS): case.h headers
+$(ARRAY_OBJS): uint64.h array.h headers
+$(MULT_OBJS): uint64.h uint32.h uint16.h safemult.h rangecheck.h headers
+$(IO_OBJS): uint64.h array.h io.h io_internal.h taia.h tai.h haveepoll.h havekqueue.h havesigio.h havebsdsf.h havedevpoll.h havesendfile.h headers
+$(CDB_OBJS): cdb.h uint32.h headers
+$(CRITBIT_OBJS): critbit.h headers
 
 mult64.o: haveuint128.h
 
 
-iob_addbuf.o iob_addfile.o iob_new.o iob_reset.o iob_send.o: iob_internal.h iob.h
+iob_addbuf.o iob_addfile.o iob_new.o iob_reset.o iob_send.o: iob_internal.h iob.h headers
 
 iopause.o: iopause.h select.h
 openreadclose.o readclose.o: readclose.h
-dns_rcip.o dns_rcrw.o openreadclose.o: openreadclose.h
+dns_rcip.o dns_rcrw.o openreadclose.o: openreadclose.h headers
 
 iob_send.o scan_ip6if.o: havealloca.h
 
-- 
2.38.1

